# Uses of Enum
org.eclipse.birt.chart.computation.LabelLimiter.Option

Packages that use LabelLimiter.Option
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.

## Uses of LabelLimiter.Option in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return LabelLimiter.Option
Modifier and Type
Method
Description
`static LabelLimiter.Option`
LabelLimiter.Option.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LabelLimiter.Option[]`
LabelLimiter.Option.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Method parameters in org.eclipse.birt.chart.computation with type arguments of type LabelLimiter.Option
Modifier and Type
Method
Description
`LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la, EnumSet<LabelLimiter.Option> options)`
modify the text of la to fit the limit size.
`static final LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la, LabelLimiter lbLimit, EnumSet<LabelLimiter.Option> options)`
To compute the text of the label with a limited size, the label text will be wrapped and shortened with ellipsis if required, the size of the label bound will be returned.